org.keycloak.models.sessions.infinispan.stream

## Class UserSessionPredicate

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.stream.UserSessionPredicate

- All Implemented Interfaces:
    Serializable, java.util.function.Predicate<Map.Entry<String,SessionEntity>>

      public class UserSessionPredicate
      extends Object
      implements java.util.function.Predicate<Map.Entry<String,SessionEntity>>, Serializable

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserSessionPredicate` | `brokerSessionId(String id)`
    `UserSessionPredicate` | `brokerUserId(String id)`
    `static UserSessionPredicate` | `create(String realm)`
    `UserSessionPredicate` | `expired(Integer expired, Integer expiredRefresh)`
    `boolean` | `test(Map.Entry<String,SessionEntity> entry)`
    `UserSessionPredicate` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `and, isEqual, negate, or`

- - ### Method Detail

    - #### create

          public static UserSessionPredicate create(String realm)

    - #### user

          public UserSessionPredicate user(String user)

    - #### expired

          public UserSessionPredicate expired(Integer expired,
                                              Integer expiredRefresh)

    - #### brokerSessionId

          public UserSessionPredicate brokerSessionId(String id)

    - #### brokerUserId

          public UserSessionPredicate brokerUserId(String id)

    - #### test

          public boolean test(Map.Entry<String,SessionEntity> entry)

      Specified by:
        `test` in interface `java.util.function.Predicate<Map.Entry<String,SessionEntity>>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.